Bug 166528 - CAN-2004-2394 CAN-2004-2395 CAN-2004-2396 multiple passwd issues
CAN-2004-2394 CAN-2004-2395 CAN-2004-2396 multiple passwd issues
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: passwd (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Mike McLean
impact=low,source=bugzilla,reported=2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-22 18:45 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 13:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-08-22 18:45:56 EDT
+++ This bug was initially created as a clone of Bug #120060 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
During a code review, I found several issues with the programs in the
passwd rpm. Notibly, the passwd program has an off by 1 in the case of
--stdin. buffer is 80, len passed to read is 79, location 78 is 0'ed.
This is more noticeable if you imagine i == 1 after read. Also, if
read returns an error, the program continues as if nothing bad
happened and tries to zero buffer[-2];

Also, pam_start was not being checked for its return code.

Various minor memory leaks.

Version-Release number of selected component (if applicable):
passwd-0.68

How reproducible:
Always

Steps to Reproduce:
Found during code review.
    

Additional info:

I will attach a patch that fixes these. I did not look at prior
versions to see if these issues exist.



Please see the parent bug for a patch.
Comment 1 Josh Bressers 2005-08-22 18:46:47 EDT
This issue also affects RHEL2.1
Comment 4 Tomas Mraz 2005-10-12 13:45:48 EDT
These issues are fixed in RHEL4 and aren't worth/safe fixing in RHEL3/2.1.

Note You need to log in before you can comment on or make changes to this bug.